import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';
import {FrameOptrPageComponent} from './frame-optr-page/frame-optr-page.component';
import { FrameOptrCreateComponent } from './frame-optr-create/frame-optr-create.component';
import { FrameOptrModifyComponent } from './frame-optr-modify/frame-optr-modify.component';
import { FrameOptrRoleComponent } from './frame-optr-role/frame-optr-role.component';

const routes: Routes = [
  {path: 'page', component: FrameOptrPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [FrameOptrCreateComponent , FrameOptrModifyComponent, FrameOptrRoleComponent],
  declarations: [ FrameOptrPageComponent, FrameOptrCreateComponent, FrameOptrModifyComponent, FrameOptrRoleComponent],
  exports: [
    RouterModule
  ]
})
export class FrameOptrModule {
}
