import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdEnrolPageComponent} from './std-enrol-page/std-enrol-page.component';

const routes: Routes = [
  {path: 'page', component: StdEnrolPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdEnrolPageComponent],
  declarations: [StdEnrolPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdEnrolModule {
}
