import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import { StdMaterialVerifyComponent } from './std-material-verify/std-material-verify.component';

const routes: Routes = [
  {path: 'verify', component: StdMaterialVerifyComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [],
  declarations: [StdMaterialVerifyComponent],
  exports: [
    RouterModule
  ]
})
export class StdMaterialModule {
}
