import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdQualityPageComponent} from './std-quality-page/std-quality-page.component';

const routes: Routes = [
  {path: 'page', component: StdQualityPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdQualityPageComponent],
  declarations: [StdQualityPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdQualityModule {
}
