import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdRecruitPageComponent} from './std-recruit-page/std-recruit-page.component';

const routes: Routes = [
  {path: 'page', component: StdRecruitPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdRecruitPageComponent],
  declarations: [StdRecruitPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdRecruitModule {
}
