import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdThreePageComponent} from './std-three-page/std-three-page.component';

const routes: Routes = [
  {path: 'page', component: StdThreePageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdThreePageComponent],
  declarations: [StdThreePageComponent],
  exports: [
    RouterModule
  ]
})
export class StdThreeModule {
}
