import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';
import { FarmeDictDetailComponent } from './farme-dict-detail/farme-dict-detail.component';
import {FarmeDictPageComponent} from './farme-dict-page/farme-dict-page.component';

const routes: Routes = [
  {path: 'page', component: FarmeDictPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [FarmeDictDetailComponent],
  declarations: [ FarmeDictPageComponent, FarmeDictDetailComponent],
  exports: [
    RouterModule
  ]
})
export class FrameDictModule {
}
