import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';
import { FrameParamPageComponent } from './frame-param-page/frame-param-page.component';
import { FarmeParamDetailComponent } from './farme-param-detail/farme-param-detail.component';

const routes: Routes = [
  {path: 'page', component: FrameParamPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [FarmeParamDetailComponent],
  declarations: [ FrameParamPageComponent, FarmeParamDetailComponent],
  exports: [
    RouterModule
  ]
})
export class FrameParamModule {
}
