import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {FrameResPageComponent} from './frame-res-page/frame-res-page.component';
import {SharedModule} from '../../../shared/shared.module';
import {FrameResDetailComponent} from './frame-res-detail/frame-res-detail.component';
import { FrameResTreeComponent } from './frame-res-tree/frame-res-tree.component';

const routes: Routes = [
  {path: 'page', component: FrameResPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [FrameResDetailComponent, FrameResTreeComponent],
  declarations: [FrameResPageComponent, FrameResDetailComponent, FrameResTreeComponent],
  exports: [
    RouterModule
  ]
})
export class FrameResModule {
}
