import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../shared/shared.module';
import { FrameThreadPageComponent } from './frame-thread-page/frame-thread-page.component';

const routes: Routes = [
  {path: 'page', component: FrameThreadPageComponent},
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [ ],
  declarations: [ FrameThreadPageComponent ],
  exports: [
    RouterModule
  ]
})
export class FrameThreadModule {
}
