import { LayoutComponent } from '../layout/layout.component';


export const routes = [

    {
        path: '',
        component: LayoutComponent,
        children: [
            { path: '', redirectTo: 'home', pathMatch: 'full' },
            { path: 'home', loadChildren: './home/home.module#HomeModule' },
            { path: 'weixin', loadChildren: './weixin/weixin.module#WeixinModule' },
            { path: 'frame', loadChildren: './frame/frame.module#FrameModule' },
            { path: 'sk', loadChildren: './sk/sk.module#SkModule' }
        ]
    },


    // Not found
    { path: '**', redirectTo: 'home' }

];
