import { Component, OnInit } from '@angular/core';
import {FramePageComponent} from '../../../../frame/core/FramePageComponent';
import {BsModalService} from 'ngx-bootstrap';
import {ConfMaterialDetailComponent} from '../conf-material-detail/conf-material-detail.component';

@Component({
  selector: 'app-conf-material-page',
  templateUrl: './conf-material-page.component.html',
  styleUrls: ['./conf-material-page.component.scss']
})
export class ConfMaterialPageComponent  extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ConfMaterialDetailComponent;
  }
  ngOnInit() {
  }

}
