import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SkComponent } from './sk.component';

const routes: Routes = [
  { path: '',  component: SkComponent, children: [
      { path: 'conf', loadChildren: './conf/conf.sk.module#ArtConfModule' },
      { path: 'std', loadChildren: './std/std.sk.module#SkStdModule' }
    ]
  }
];

@NgModule({
    imports: [
        RouterModule.forChild(routes)
    ],
    declarations: [SkComponent],
    exports: [
        RouterModule
    ]
})
export class SkModule { }
