import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdAdmissionPageComponent} from './std-admission-page/std-admission-page.component';

const routes: Routes = [
  {path: 'page', component: StdAdmissionPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdAdmissionPageComponent],
  declarations: [StdAdmissionPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdAdmissionModule {
}
