import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdBatchPageComponent} from './std-batch-page/std-batch-page.component';

const routes: Routes = [
  {path: 'page', component: StdBatchPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdBatchPageComponent],
  declarations: [StdBatchPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdBatchModule {
}
