import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdBatchQualityPageComponent} from './std-batchQuality-page/std-batchQuality-page.component';

const routes: Routes = [
  {path: 'page', component: StdBatchQualityPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdBatchQualityPageComponent],
  declarations: [StdBatchQualityPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdBatchQualityModule {
}
