import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdMajorPageComponent} from './std-major-page/std-major-page.component';

const routes: Routes = [
  {path: 'page', component: StdMajorPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdMajorPageComponent],
  declarations: [StdMajorPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdMajorModule {
}
