import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdSchoolAdmissionPageComponent} from './std-schoolAdmission-page/std-schoolAdmission-page.component';

const routes: Routes = [
  {path: 'page', component: StdSchoolAdmissionPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdSchoolAdmissionPageComponent],
  declarations: [StdSchoolAdmissionPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdSchoolAdmissionModule {
}
