import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {SharedModule} from '../../../../shared/shared.module';
import {StdSegmentPageComponent} from './std-segment-page/std-segment-page.component';

const routes: Routes = [
  {path: 'page', component: StdSegmentPageComponent}
];

@NgModule({
  imports: [
    SharedModule,
    RouterModule.forChild(routes)
  ],
  entryComponents: [StdSegmentPageComponent],
  declarations: [StdSegmentPageComponent],
  exports: [
    RouterModule
  ]
})
export class StdSegmentModule {
}
